{ config, lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "pear";
    wg-quick.interfaces.wgc.address = [ "10.100.0.18/24" ];
  };

  system = {
    desktop.enable = true;
    fancyboot.enable = true;
    wireless.enable = true;
    wireguard.client.enable = true;
    libvirtd.enable = true;
    stateVersion = "24.11";
  };

  # Services to make this work as a school laptop
  services.globalprotect.enable = true;

  virtualisation.vmware.host.enable = true;
  nixpkgs.allowUnfreePackages = [ "vmware-workstation" ];

  environment.persistence."/persist".directories = [
    "/home/${config.sysusers.main}/vmware"
    "/home/${config.sysusers.main}/.vmware"
  ];
}
